ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xavier Hanin (JIRA)" <j...@apache.org>
Subject [jira] Updated: (IVY-613) Missing configurations with different version-wildcards dependencies to same dependent version
Date Thu, 28 Feb 2008 18:01:51 GMT

     [ https://issues.apache.org/jira/browse/IVY-613?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Xavier Hanin updated IVY-613:
-----------------------------

    Fix Version/s: 2.0

> Missing configurations with different version-wildcards dependencies to same dependent
version
> ----------------------------------------------------------------------------------------------
>
>                 Key: IVY-613
>                 URL: https://issues.apache.org/jira/browse/IVY-613
>             Project: Ivy
>          Issue Type: Bug
>          Components: Core
>    Affects Versions: 1.4.1
>            Reporter: Johannes Stamminger
>            Priority: Critical
>             Fix For: 2.0
>
>         Attachments: IVY-613-Test-1.0.zip
>
>
> 1) with resolving to exactly one version:
> moduleA depends libX-1.+ in conf U
> moduleA depends moduleB in conf U,V
> moduleB depends libX-[1.5,) in conf U,V
> (conf mappings straight forward, U,V->@)
> Lates libX version in the repo is e.g. 1.7
> We would expect to get 1.7 included in configurations U and V.
> But it is included only in U.
> 2) with resolving to two versions with similar configurations:
> moduleA depends libX-1.+ in conf U
> moduleA depends moduleB in conf U,V
> moduleB depends libX-1.5 in conf U,V        <<< different to 1!
> (conf mappings straight forward, U,V->@)
> Lates libX version in the repo is e.g. 1.7, 1.5 availble. too. Both contain a configuration
U and V.
> We would expect to get 1.7 included in configurations U and V.
> But it is included only in U.
> 3) with resolving to two versions with different configurations:
> moduleA depends libX-1.+ in conf U
> moduleA depends moduleB in conf U,V
> moduleB depends libX-1.5 in conf U,V        <<< different to 1!
> (conf mappings straight forward, U,V->@)
> Lates libX version in the repo is e.g. 1.7, 1.5 availble. too. Now with 1.7 containing
only conf U, 1.5 having U and V
> Here I'm not sure of the "correct" behaviour ... ?

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message